module XML2_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libxml2
const libxml2_path = "/usr/lib/libxml2.so.16"
libxml2_handle = C_NULL
get_libxml2_path() = libxml2_path
const libxml2 = "libxml2.so.16"
export xmlcatalog
const xmlcatalog_path = "/usr/bin/xmlcatalog"
xmlcatalog(f::Function; kw...) = f(xmlcatalog_path)
xmlcatalog(; kw...) = Cmd([xmlcatalog_path])
export xmllint
const xmllint_path = "/usr/bin/xmllint"
xmllint(f::Function; kw...) = f(xmllint_path)
xmllint(; kw...) = Cmd([xmllint_path])
function __init__()
    global libxml2_handle = dlopen(libxml2_path)
end
end
